const app = getApp();
import {closeTurnMeeting} from '../../../utils/api/meeting'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        StatusBar: app.globalData.StatusBar, //胶囊按钮位置
        CustomBar: app.globalData.CustomBar,
        type: '',
        item: {},
    },

    // 跳转
    gotoFun(e) {
        let {
            item,
            type
        } = this.data
        let url;
        let id = e.currentTarget.dataset.id
        if (id == 3) {
            wx.navigateBack({
                delta: 1,
            })
        } else {
            switch (id) {
                case '1':
                    url = '/pages/audit/deteil/index?item=' + JSON.stringify(item) + '&type=' + type
                    break;
                case '2':
                    url = '/pages/audit/index/index?item=' + JSON.stringify(item) + '&type=' + type
                    break;
                default:
                    break;
            }
            wx.navigateTo({
                url
            })
        }
    },
    // 取消
    cancel() {
        wx.showModal({
            title: '提示',
            content: '确定要取消吗',
            complete: (res) => {
                if (res.confirm) {
                    closeTurnMeeting({
                        meetingTurnRecordId: this.data.item.meetingTurnRecordId
                    }).then(res => {
                    wx.showToast({
                        title: '操作成功',
                        icon: 'none',
                        duration: 1000,
                        //显示透明蒙层，防止触摸穿透
                        mask: true,
                        success: function () {
                            setTimeout(function () {
                                wx.switchTab({
                                    url: '/pages/home/home',
                                })
                            }, 800)
                        }
                    })
                    })
                }
            }
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            type:options.type,
            item: JSON.parse(options.item)
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})